User Tag List

Results 1 to 10 of 10

Thread: Fusion 2.5 Developer Update Fail

  1. #1
    Clicker Fusion 2.5 DeveloperSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Dec 2009
    Location
    Louisiana, USA
    Posts
    369
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Fusion 2.5 Developer Update Fail

    I just tried to update Fusion 2.5 Developer. As soon as I started Fusion 2.5 Developer, it said there was an update. I allowed it to download and install the patch. When the patch tried to run, I got the following error:

    Clickteam Fusion Developer 2.5 has not been totally installed because of the following reason:

    Product not installed, please install it before running the program.
    I also tried starting up Fusion 2.5 Developer, going to Help > Check for Updates, and downloaded the patch. It told me it needed to close Fusion 2.5 Developer to install the patch. I allowed it to do that, but ended up getting the same error as before. I'm currently running Fusion 2.5 Developer (Build 284.10)'

  2. #2
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCHTML5 Export ModuleiOS Export ModuleSWF Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    chrilley's Avatar
    Join Date
    Jul 2006
    Posts
    975
    Mentioned
    17 Post(s)
    Tagged
    1 Thread(s)
    Strange... Have you tried grabbing the patch from the Download links sticky thread over at the Product Owner's Lounge?

  3. #3
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleMac Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,405
    Mentioned
    59 Post(s)
    Tagged
    0 Thread(s)
    Odd,
    Try updating to 285.0 and see if that works. Otherwise you might have a corrupted installation for some odd reason.

    or like the used above me said, grab the update from the Lounge section.

  4. #4
    Clickteam Clickteam
    Jeff's Avatar
    Join Date
    Jun 2006
    Location
    Battle Ground Washington
    Posts
    11,824
    Mentioned
    8 Post(s)
    Tagged
    2 Thread(s)
    Do you have anything running in the background that might be effecting it?
    IE "protecting" your registry and your running under an account that has the right permissions to update?

    I just ran the update on Windows 10 and it went thru fine.

    Reinstall Stock Fusion 2.5 Dev then update might also be something to try.

  5. #5
    Clicker Fusion 2.5 DeveloperSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Dec 2009
    Location
    Louisiana, USA
    Posts
    369
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I've gone to the Owner's Lounge. I've tried downloading the latest patch and running it. I've tried running it normal as well as right clicking and going to Run As Administrator. Still same error. I'm not sure why my install would be corrupt. I've ran updates in the past with no issues. What normally becomes corrupt? I'd prefer to be able to attempt to fix any issues instead of uninstalling and then reinstalling it.

  6. #6
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleMac Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,405
    Mentioned
    59 Post(s)
    Tagged
    0 Thread(s)
    Are you able just to install the original version on top of it? (it will just overwrite the files)
    if that works, then run the update.. no clue why it doesn't work.. Do you have a Steam version also?

  7. #7
    Clicker Fusion 2.5 DeveloperSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Dec 2009
    Location
    Louisiana, USA
    Posts
    369
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I logged in to my Web Store account and downloaded Fusion 2.5 Developer and installed it over the current install (i.e. no uninstall of previous). I then opened up Fusion 2.5 Developer and had the same issue as when I had previously installed it. There was an issue with the DateTime extension. Upon start of Fusion 2.5, it gives an error that DateTime.json cannot be found. So, I just disabled the extension. I closed out Fusion and ran the update I had downloaded from the Owner's Lounge. It ran with no issues. Now going to look at the tutorial I saw was added, Faulty Flap.

  8. #8
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleMac Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,405
    Mentioned
    59 Post(s)
    Tagged
    0 Thread(s)
    There is a lot more added / fixed / optimized then just that 1 Tutorial App.

    If you are getting a Json error, sounds like Java is not up to date. or there is something else going on.
    Did you try updating the objects through the Object manager?

  9. #9
    Clicker Fusion 2.5 DeveloperSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)

    Join Date
    Dec 2009
    Location
    Louisiana, USA
    Posts
    369
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I have the latest version of Java. I have both the JDK and the SDK of Java. I have the SDK because I have Android Studio installed. As for updating the extension, I don't know how that's possible. When I get the error, Fusion only gives me the option to try to find the .json file or ignore this extension. If the extension is ignored, it won't load in the Extension Manager.

  10. #10
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleMac Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,405
    Mentioned
    59 Post(s)
    Tagged
    0 Thread(s)
    Strange, All I can say is do a full uninstall, and re-install from scratch.
    Something is corrupt along the line somewhere.

Similar Threads

  1. Update fusion 2.5 to obtain 2.5 developer
    By neurone77 in forum Fusion 2.5
    Replies: 2
    Last Post: 12th May 2014, 01:11 PM
  2. New to Fusion 2.5 Developer
    By coreyschroeder in forum Fusion 2.5
    Replies: 5
    Last Post: 3rd April 2014, 09:45 PM
  3. Replies: 1
    Last Post: 18th January 2014, 08:32 PM
  4. MMf2 Developer wont update????
    By mmf2500 in forum Multimedia Fusion 2 - Technical Support
    Replies: 3
    Last Post: 9th January 2011, 04:04 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •